Go Back   Champions of Regnum > English > Technical Support > Linux

Linux Technical issues under Linux platform

Reply
 
Thread Tools Display Modes
Old 07-25-2016, 11:21 AM   #11
_Enio_
Marquis
 
_Enio_'s Avatar
 
Join Date: Aug 2007
Location: Germany
Posts: 1,846
_Enio_ will become famous soon enough
Default

Thanks, works flawlessly now!
__________________
Fix the Marksman subclass: Suggestion
_Enio_ no ha iniciado sesión   Reply With Quote
Old 07-25-2016, 12:41 PM   #12
Adrian
NGD·Studios
 
Adrian's Avatar
 
Join Date: May 2007
Location: Wien, Österreich
Posts: 3,245
Adrian will become famous soon enoughAdrian will become famous soon enough
Default

Quote:
Originally Posted by _Enio_ View Post
Thanks, works flawlessly now!
Great to know! Thank you too!
__________________
Adrian no ha iniciado sesión   Reply With Quote
Old 07-25-2016, 01:53 PM   #13
ZericOfGa
Pledge
 
Join Date: Apr 2009
Posts: 41
ZericOfGa is on a distinguished road
Default

Wow. Not fixed at all.

I'm using Slackware 32 bit and the launcher is broke as ****.

I had libjpeg version .62, to upgrade to .8. Fine. Download source, compile, install, even remove old version, and your launcher still cries out for the old version even after updating.

So not updating will break it.. and updating will break out. What step would you suggest before I uninstall the game (again)?
ZericOfGa no ha iniciado sesión   Reply With Quote
Old 07-25-2016, 01:57 PM   #14
Adrian
NGD·Studios
 
Adrian's Avatar
 
Join Date: May 2007
Location: Wien, Österreich
Posts: 3,245
Adrian will become famous soon enoughAdrian will become famous soon enough
Default

Quote:
Originally Posted by ZericOfGa View Post
Wow. Not fixed at all.

I'm using Slackware 32 bit and the launcher is broke as ****.

I had libjpeg version .62, to upgrade to .8. Fine. Download source, compile, install, even remove old version, and your launcher still cries out for the old version even after updating.

So not updating will break it.. and updating will break out. What step would you suggest before I uninstall the game (again)?
Which version of Slackware? 14.2? Let us know and we'll test what could be happening. No need to jump on your guns
__________________
Adrian no ha iniciado sesión   Reply With Quote
Old 07-25-2016, 02:01 PM   #15
ZericOfGa
Pledge
 
Join Date: Apr 2009
Posts: 41
ZericOfGa is on a distinguished road
Default

I'm still on 14.1 for now, 14.2 upgrade comes when the new computer does.

Current output:
(Try to ignore the alias "Regnum")
Code:
bash-4.2# ./rolauncher: /usr/lib/libjpeg.so.62: no version information available (required by ./rolauncher)
Wrong JPEG library version: library is 62, caller expects 80
^C
bash-4.2# ls /usr/lib/libjpeg.so.*
/usr/lib/libjpeg.so.62	    /usr/lib/libjpeg.so.8
/usr/lib/libjpeg.so.62.0.0  /usr/lib/libjpeg.so.8.0.1
bash-4.2# rm /usr/lib/libjpeg.so.6*
bash-4.2# Regnum
bash-4.2# ./rolauncher: error while loading shared libraries: libjpeg.so.62: cannot open shared object file: No such file or directory
^C
bash-4.2# ln -s /usr/lib/libjpeg.so.8 /usr/lib/libjpeg.so.62 
bash-4.2# Regnum
bash-4.2# ./rolauncher: /usr/lib/libjpeg.so.62: version `LIBJPEG_6.2' not found (required by ./rolauncher)
^C
bash-4.2# ls /var/log/packages/*png*
/var/log/packages/libpng-1.4.12-i486-1
bash-4.2#
Tried the link just to see >.>

(Note, i'd already removed the previous libjpeg package but it didnt remove the library files for some reason, so did it manually. I have the old package to reinstall if needed.)
ZericOfGa no ha iniciado sesión   Reply With Quote
Old 07-25-2016, 02:19 PM   #16
Adrian
NGD·Studios
 
Adrian's Avatar
 
Join Date: May 2007
Location: Wien, Österreich
Posts: 3,245
Adrian will become famous soon enoughAdrian will become famous soon enough
Default

Quote:
Originally Posted by ZericOfGa View Post
...
Ok! We're getting 14.1 now. Please give us some time until we find a solution. Thank you for your patience!
__________________
Adrian no ha iniciado sesión   Reply With Quote
Old 07-25-2016, 03:03 PM   #17
_Enio_
Marquis
 
_Enio_'s Avatar
 
Join Date: Aug 2007
Location: Germany
Posts: 1,846
_Enio_ will become famous soon enough
Default

rolauncher actually wants version 6.2, so this is odd. Dunno why your so.62 didnt identifiy as LIBJPEG_6.2.

Can you try the turbo version of libjpeg? It worked for me on arch.

Don't know slackware, how you install it and stuff, but this should contain version 6.2:
http://www.slackware.com/~alien/slac...urbo/pkg/14.1/
__________________
Fix the Marksman subclass: Suggestion
_Enio_ no ha iniciado sesión   Reply With Quote
Old 07-25-2016, 03:10 PM   #18
Adrian
NGD·Studios
 
Adrian's Avatar
 
Join Date: May 2007
Location: Wien, Österreich
Posts: 3,245
Adrian will become famous soon enoughAdrian will become famous soon enough
Default

Quote:
Originally Posted by _Enio_ View Post
rolauncher actually wants version 6.2, so this is odd. Dunno why your so.62 didnt identifiy as LIBJPEG_6.2.

Can you try the turbo version of libjpeg? It worked for me on arch.

Don't know slackware, how you install it and stuff, but this should contain version 6.2:
http://www.slackware.com/~alien/slac...urbo/pkg/14.1/
We already found the problem and we're working on it!
__________________
Adrian no ha iniciado sesión   Reply With Quote
Old 07-25-2016, 03:24 PM   #19
ZericOfGa
Pledge
 
Join Date: Apr 2009
Posts: 41
ZericOfGa is on a distinguished road
Default

Quote:
Originally Posted by _Enio_ View Post
rolauncher actually wants version 6.2, so this is odd. Dunno why your so.62 didnt identifiy as LIBJPEG_6.2.

Can you try the turbo version of libjpeg? It worked for me on arch.

Don't know slackware, how you install it and stuff, but this should contain version 6.2:
http://www.slackware.com/~alien/slac...urbo/pkg/14.1/
Good to see you Enio If you're still playing I don't know your chars anymore?

Thanks for the suggestion, but it was my first try - got the updated libjpeg turbo from http://mirrors.slackware.com/slackwa...2/slackware/l/ but it still had a version problem. Hopefully they can figure something else out.
ZericOfGa no ha iniciado sesión   Reply With Quote
Old 07-25-2016, 03:57 PM   #20
Adrian
NGD·Studios
 
Adrian's Avatar
 
Join Date: May 2007
Location: Wien, Österreich
Posts: 3,245
Adrian will become famous soon enoughAdrian will become famous soon enough
Default

Quote:
Originally Posted by ZericOfGa View Post
Good to see you Enio If you're still playing I don't know your chars anymore?

Thanks for the suggestion, but it was my first try - got the updated libjpeg turbo from http://mirrors.slackware.com/slackwa...2/slackware/l/ but it still had a version problem. Hopefully they can figure something else out.
Hey! We think we fixed it. Please download this and replace the other binary. It will update and fail but just to see if it runs correctly. (Also everyone with another distro)

http://download01.regnumonlinegame.c...x32/rolauncher
__________________
Adrian no ha iniciado sesión   Reply With Quote
Reply

Tags
core dump, rolauncher, segmentation fault

Thread Tools
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump


All times are GMT. The time now is 07:55 PM.


Powered by vBulletin® Version 3.8.7
Copyright ©2000 - 2019, vBulletin Solutions, Inc.
NGD Studios 2002-2016 © All rights reserved